// Copyright 2022 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// This file is automatically generated by `tools/dev/gen-static-roots.py`. Do
// not edit manually.

#ifndef V8_ROOTS_STATIC_ROOTS_H_
#define V8_ROOTS_STATIC_ROOTS_H_

#include "src/common/globals.h"

#if V8_STATIC_ROOTS_BOOL

// Disabling Wasm or Intl invalidates the contents of static-roots.h.
// TODO(olivf): To support static roots for multiple build configurations we
//              will need to generate target specific versions of this file.
static_assert(V8_ENABLE_WEBASSEMBLY);
static_assert(V8_INTL_SUPPORT);

namespace v8 {
namespace internal {

constexpr static std::array<Tagged_t, 739> StaticReadOnlyRootsPointerTable = {
    0x3235,  // free_space_map
    0x38a5,  // one_pointer_filler_map
    0x38cd,  // two_pointer_filler_map
    0x7b19,  // uninitialized_value
    0x22e1,  // undefined_value
    0x22fd,  // the_hole_value
    0x22c5,  // null_value
    0x3f41,  // true_value
    0x3f5d,  // false_value
    0x543d,  // empty_string
    0x2141,  // meta_map
    0x31e5,  // byte_array_map
    0x2169,  // fixed_array_map
    0x21e1,  // fixed_cow_array_map
    0x3995,  // hash_table_map
    0x2b7d,  // symbol_map
    0x2dad,  // one_byte_string_map
    0x2f3d,  // one_byte_internalized_string_map
    0x2ab5,  // scope_info_map
    0x3d05,  // shared_function_info_map
    0x3825,  // code_map
    0x384d,  // cell_map
    0x387d,  // global_property_cell_map
    0x2ba5,  // foreign_map
    0x2b55,  // heap_number_map
    0x396d,  // transition_array_map
    0x302d,  // thin_one_byte_string_map
    0x2b2d,  // feedback_vector_map
    0x3f19,  // empty_scope_info
    0x22a9,  // empty_fixed_array
    0x2aa5,  // empty_descriptor_array
    0x7b51,  // arguments_marker
    0x7bc9,  // exception
    0x7b89,  // termination_exception
    0x7be5,  // optimized_out
    0x7c1d,  // stale_register
    0x3bc5,  // script_context_table_map
    0x2b05,  // closure_feedback_cell_array_map
    0x31bd,  // feedback_metadata_map
    0x3b9d,  // array_list_map
    0x2d5d,  // bigint_map
    0x3bed,  // object_boilerplate_description_map
    0x320d,  // bytecode_array_map
    0x3d7d,  // code_data_container_map
    0x3c15,  // coverage_info_map
    0x3195,  // fixed_double_array_map
    0x3a85,  // global_dictionary_map
    0x3945,  // many_closures_cell_map
    0x2bcd,  // mega_dom_handler_map
    0x2add,  // module_info_map
    0x3a35,  // name_dictionary_map
    0x38f5,  // no_closures_cell_map
    0x3aad,  // number_dictionary_map
    0x391d,  // one_closure_cell_map
    0x39bd,  // ordered_hash_map_map
    0x39e5,  // ordered_hash_set_map
    0x3afd,  // name_to_index_hash_table_map
    0x3b25,  // registered_symbol_table_map
    0x3a0d,  // ordered_name_dictionary_map
    0x3cdd,  // preparse_data_map
    0x325d,  // property_array_map
    0x3c3d,  // accessor_info_map
    0x3c65,  // side_effect_call_handler_info_map
    0x3c8d,  // side_effect_free_call_handler_info_map
    0x3cb5,  // next_call_side_effect_free_call_handler_info_map
    0x3ad5,  // simple_number_dictionary_map
    0x3285,  // small_ordered_hash_map_map
    0x32ad,  // small_ordered_hash_set_map
    0x32d5,  // small_ordered_name_dictionary_map
    0x3d2d,  // source_text_module_map
    0x3a5d,  // swiss_name_dictionary_map
    0x3d55,  // synthetic_module_map
    0x3da5,  // wasm_api_function_ref_map
    0x3dcd,  // wasm_capi_function_data_map
    0x3df5,  // wasm_exported_function_data_map
    0x3e1d,  // wasm_internal_function_map
    0x3e45,  // wasm_js_function_data_map
    0x3e6d,  // wasm_resume_data_map
    0x3e95,  // wasm_type_info_map
    0x3ebd,  // wasm_continuation_object_map
    0x2191,  // weak_fixed_array_map
    0x21b9,  // weak_array_list_map
    0x3b75,  // ephemeron_hash_table_map
    0x3b4d,  // embedder_data_array_map
    0x3ee5,  // weak_cell_map
    0x2d85,  // string_map
    0x2dfd,  // cons_one_byte_string_map
    0x2dd5,  // cons_string_map
    0x3005,  // thin_string_map
    0x2e25,  // sliced_string_map
    0x2e4d,  // sliced_one_byte_string_map
    0x2e75,  // external_string_map
    0x2e9d,  // external_one_byte_string_map
    0x2ec5,  // uncached_external_string_map
    0x2f15,  // internalized_string_map
    0x2f65,  // external_internalized_string_map
    0x2f8d,  // external_one_byte_internalized_string_map
    0x2fb5,  // uncached_external_internalized_string_map
    0x2fdd,  // uncached_external_one_byte_internalized_string_map
    0x2eed,  // uncached_external_one_byte_string_map
    0x307d,  // shared_one_byte_string_map
    0x3055,  // shared_string_map
    0x30cd,  // shared_external_one_byte_string_map
    0x30a5,  // shared_external_string_map
    0x311d,  // shared_uncached_external_one_byte_string_map
    0x30f5,  // shared_uncached_external_string_map
    0x316d,  // shared_thin_one_byte_string_map
    0x3145,  // shared_thin_string_map
    0x2231,  // undefined_map
    0x2281,  // the_hole_map
    0x2259,  // null_map
    0x2bf5,  // boolean_map
    0x2c1d,  // uninitialized_map
    0x2c45,  // arguments_marker_map
    0x2c6d,  // exception_map
    0x2c95,  // termination_exception_map
    0x2cbd,  // optimized_out_map
    0x2ce5,  // stale_register_map
    0x2d0d,  // self_reference_marker_map
    0x2d35,  // basic_block_counters_marker_map
    0x2a99,  // empty_enum_cache
    0x3f81,  // empty_property_array
    0x3f79,  // empty_byte_array
    0x3f29,  // empty_object_boilerplate_description
    0x3f35,  // empty_array_boilerplate_description
    0x3f89,  // empty_closure_feedback_cell_array
    0x820d,  // empty_slow_element_dictionary
    0x8231,  // empty_ordered_hash_map
    0x8245,  // empty_ordered_hash_set
    0x829d,  // empty_feedback_metadata
    0x81c9,  // empty_property_dictionary
    0x8259,  // empty_ordered_property_dictionary
    0x827d,  // empty_swiss_property_dictionary
    0x3f91,  // noop_interceptor_info
    0x3f0d,  // empty_array_list
    0x22b1,  // empty_weak_fixed_array
    0x22b9,  // empty_weak_array_list
    0x3875,  // invalid_prototype_validity_cell
    0x3fc5,  // nan_value
    0x3fd1,  // hole_nan_value
    0x3fdd,  // infinity_value
    0x3fb9,  // minus_zero_value
    0x3fe9,  // minus_infinity_value
    0x3ff5,  // max_safe_integer
    0x4001,  // max_uint_32
    0x400d,  // smi_min_value
    0x4019,  // smi_max_value_plus_one
    0x4035,  // single_character_string_table
    0x7c55,  // self_reference_marker
    0x7c95,  // basic_block_counters_marker
    0x831d,  // off_heap_trampoline_relocation_info
    0x22e1,  // trampoline_trivial_code_data_container
    0x22e1,  // trampoline_promise_rejection_code_data_container
    0x82a9,  // global_this_binding_scope_info
    0x82c9,  // empty_function_scope_info
    0x82ed,  // native_scope_info
    0x8305,  // shadow_realm_scope_info
    0x81f1,  // empty_symbol_table
    0x4025,  // hash_seed
    0x5449,  // adoptText_string
    0x5461,  // approximatelySign_string
    0x5481,  // baseName_string
    0x5495,  // accounting_string
    0x54ad,  // breakType_string
    0x54c5,  // calendars_string
    0x54dd,  // cardinal_string
    0x54f1,  // caseFirst_string
    0x5509,  // ceil_string
    0x5519,  // compare_string
    0x552d,  // collation_string
    0x5545,  // collations_string
    0x555d,  // compact_string
    0x5571,  // compactDisplay_string
    0x558d,  // currency_string
    0x55a1,  // currencyDisplay_string
    0x55bd,  // currencySign_string
    0x55d5,  // dateStyle_string
    0x55ed,  // dateTimeField_string
    0x5609,  // dayPeriod_string
    0x5621,  // daysDisplay_string
    0x5639,  // decimal_string
    0x564d,  // dialect_string
    0x5661,  // digital_string
    0x5675,  // direction_string
    0x568d,  // endRange_string
    0x56a1,  // engineering_string
    0x56b9,  // exceptZero_string
    0x56d1,  // expand_string
    0x56e5,  // exponentInteger_string
    0x5701,  // exponentMinusSign_string
    0x5721,  // exponentSeparator_string
    0x5741,  // fallback_string
    0x5755,  // first_string
    0x5769,  // firstDay_string
    0x577d,  // floor_string
    0x5791,  // format_string
    0x57a5,  // fraction_string
    0x57b9,  // fractionalDigits_string
    0x57d5,  // fractionalSecond_string
    0x57f1,  // full_string
    0x5801,  // granularity_string
    0x5819,  // grapheme_string
    0x582d,  // group_string
    0x5841,  // h11_string
    0x5851,  // h12_string
    0x5861,  // h23_string
    0x5871,  // h24_string
    0x5881,  // halfCeil_string
    0x5895,  // halfEven_string
    0x58a9,  // halfExpand_string
    0x58c1,  // halfFloor_string
    0x58d9,  // halfTrunc_string
    0x58f1,  // hour12_string
    0x5905,  // hourCycle_string
    0x591d,  // hourCycles_string
    0x5935,  // hoursDisplay_string
    0x594d,  // ideo_string
    0x595d,  // ignorePunctuation_string
    0x597d,  // Invalid_Date_string
    0x5995,  // integer_string
    0x59a9,  // isWordLike_string
    0x59c1,  // kana_string
    0x59d1,  // language_string
    0x59e5,  // languageDisplay_string
    0x5a01,  // lessPrecision_string
    0x5a1d,  // letter_string
    0x5a31,  // list_string
    0x5a41,  // literal_string
    0x5a55,  // locale_string
    0x5a69,  // loose_string
    0x5a7d,  // lower_string
    0x5a91,  // ltr_string
    0x5aa1,  // maximumFractionDigits_string
    0x5ac5,  // maximumSignificantDigits_string
    0x5ae9,  // microsecondsDisplay_string
    0x5b09,  // millisecondsDisplay_string
    0x5b29,  // min2_string
    0x5b39,  // minimalDays_string
    0x5b51,  // minimumFractionDigits_string
    0x5b75,  // minimumIntegerDigits_string
    0x5b95,  // minimumSignificantDigits_string
    0x5bb9,  // minus_0
    0x5bc9,  // minusSign_string
    0x5be1,  // minutesDisplay_string
    0x5bfd,  // monthsDisplay_string
    0x5c19,  // morePrecision_string
    0x5c35,  // nan_string
    0x5c45,  // nanosecondsDisplay_string
    0x5c65,  // narrowSymbol_string
    0x5c7d,  // negative_string
    0x5c91,  // never_string
    0x5ca5,  // none_string
    0x5cb5,  // notation_string
    0x5cc9,  // normal_string
    0x5cdd,  // numberingSystem_string
    0x5cf9,  // numberingSystems_string
    0x5d15,  // numeric_string
    0x5d29,  // ordinal_string
    0x5d3d,  // percentSign_string
    0x5d55,  // plusSign_string
    0x5d69,  // quarter_string
    0x5d7d,  // region_string
    0x5d91,  // relatedYear_string
    0x5da9,  // roundingMode_string
    0x5dc1,  // roundingPriority_string
    0x5ddd,  // rtl_string
    0x5ded,  // scientific_string
    0x5e05,  // secondsDisplay_string
    0x5e21,  // segment_string
    0x5e35,  // SegmentIterator_string
    0x5e51,  // Segments_string
    0x5e65,  // sensitivity_string
    0x5e7d,  // sep_string
    0x5e8d,  // shared_string
    0x5ea1,  // signDisplay_string
    0x5eb9,  // standard_string
    0x5ecd,  // startRange_string
    0x5ee5,  // strict_string
    0x5ef9,  // stripIfInteger_string
    0x5f15,  // style_string
    0x5f29,  // term_string
    0x5f39,  // textInfo_string
    0x5f4d,  // timeStyle_string
    0x5f65,  // timeZones_string
    0x5f7d,  // timeZoneName_string
    0x5f95,  // trailingZeroDisplay_string
    0x5fb5,  // trunc_string
    0x5fc9,  // two_digit_string
    0x5fdd,  // type_string
    0x5fed,  // unknown_string
    0x6001,  // upper_string
    0x6015,  // usage_string
    0x6029,  // useGrouping_string
    0x6041,  // unitDisplay_string
    0x6059,  // weekday_string
    0x606d,  // weekend_string
    0x6081,  // weeksDisplay_string
    0x6099,  // weekInfo_string
    0x60ad,  // yearName_string
    0x60c1,  // yearsDisplay_string
    0x60d9,  // add_string
    0x60e9,  // AggregateError_string
    0x6105,  // always_string
    0x6119,  // anonymous_function_string
    0x6139,  // anonymous_string
    0x6151,  // apply_string
    0x6165,  // Arguments_string
    0x617d,  // arguments_string
    0x6195,  // arguments_to_string
    0x61b5,  // Array_string
    0x61c9,  // array_to_string
    0x61e5,  // ArrayBuffer_string
    0x61fd,  // ArrayIterator_string
    0x6219,  // as_string
    0x6229,  // assert_string
    0x623d,  // async_string
    0x6251,  // AtomicsCondition_string
    0x6271,  // AtomicsMutex_string
    0x628d,  // auto_string
    0x629d,  // await_string
    0x62b1,  // BigInt_string
    0x62c5,  // bigint_string
    0x62d9,  // BigInt64Array_string
    0x62f5,  // BigUint64Array_string
    0x6311,  // bind_string
    0x6321,  // blank_string
    0x6335,  // Boolean_string
    0x6349,  // boolean_string
    0x635d,  // boolean_to_string
    0x6379,  // bound__string
    0x638d,  // buffer_string
    0x63a1,  // byte_length_string
    0x63b9,  // byte_offset_string
    0x63d1,  // CompileError_string
    0x63e9,  // calendar_string
    0x63fd,  // callee_string
    0x6411,  // caller_string
    0x6425,  // cause_string
    0x6439,  // character_string
    0x6451,  // closure_string
    0x6469,  // code_string
    0x6479,  // column_string
    0x648d,  // computed_string
    0x64a5,  // configurable_string
    0x64bd,  // conjunction_string
    0x64d5,  // console_string
    0x64e9,  // constrain_string
    0x6501,  // construct_string
    0x6519,  // current_string
    0x652d,  // Date_string
    0x653d,  // date_to_string
    0x6559,  // dateAdd_string
    0x656d,  // dateFromFields_string
    0x6589,  // dateUntil_string
    0x65a1,  // day_string
    0x65b1,  // dayOfWeek_string
    0x65c9,  // dayOfYear_string
    0x65e1,  // days_string
    0x65f1,  // daysInMonth_string
    0x6609,  // daysInWeek_string
    0x6621,  // daysInYear_string
    0x6639,  // default_string
    0x664d,  // defineProperty_string
    0x6669,  // deleteProperty_string
    0x6685,  // disjunction_string
    0x669d,  // done_string
    0x66ad,  // dot_brand_string
    0x66c1,  // dot_catch_string
    0x66d5,  // dot_default_string
    0x66e9,  // dot_for_string
    0x66f9,  // dot_generator_object_string
    0x6719,  // dot_home_object_string
    0x6731,  // dot_new_target_string
    0x6749,  // dot_result_string
    0x675d,  // dot_repl_result_string
    0x6775,  // dot_static_home_object_string
    0x471d,  // dot_string
    0x6795,  // dot_switch_tag_string
    0x67ad,  // dotAll_string
    0x67c1,  // Error_string
    0x67d5,  // EvalError_string
    0x67ed,  // enumerable_string
    0x6805,  // element_string
    0x6819,  // epochMicroseconds_string
    0x6839,  // epochMilliseconds_string
    0x6859,  // epochNanoseconds_string
    0x6875,  // epochSeconds_string
    0x688d,  // era_string
    0x689d,  // eraYear_string
    0x68b1,  // errors_string
    0x68c5,  // error_to_string
    0x68e1,  // eval_string
    0x68f1,  // exception_string
    0x6909,  // exec_string
    0x6919,  // false_string
    0x692d,  // fields_string
    0x6941,  // FinalizationRegistry_string
    0x6961,  // flags_string
    0x6975,  // Float32Array_string
    0x698d,  // Float64Array_string
    0x69a5,  // fractionalSecondDigits_string
    0x69c9,  // from_string
    0x69d9,  // Function_string
    0x69ed,  // function_native_code_string
    0x6a19,  // function_string
    0x6a2d,  // function_to_string
    0x6a4d,  // Generator_string
    0x6a65,  // get_space_string
    0x6a75,  // get_string
    0x6a85,  // getOffsetNanosecondsFor_string
    0x6aa9,  // getOwnPropertyDescriptor_string
    0x6acd,  // getPossibleInstantsFor_string
    0x6af1,  // getPrototypeOf_string
    0x6b0d,  // global_string
    0x6b21,  // globalThis_string
    0x6b39,  // groups_string
    0x6b4d,  // growable_string
    0x6b61,  // has_string
    0x6b71,  // hasIndices_string
    0x6b89,  // hour_string
    0x6b99,  // hours_string
    0x6bad,  // hoursInDay_string
    0x6bc5,  // ignoreCase_string
    0x6bdd,  // id_string
    0x6bed,  // illegal_access_string
    0x6c09,  // illegal_argument_string
    0x6c25,  // inLeapYear_string
    0x6c3d,  // index_string
    0x6c51,  // indices_string
    0x6c65,  // Infinity_string
    0x6c79,  // infinity_string
    0x6c8d,  // input_string
    0x6ca1,  // Int16Array_string
    0x6cb9,  // Int32Array_string
    0x6cd1,  // Int8Array_string
    0x6ce9,  // isExtensible_string
    0x6d01,  // iso8601_string
    0x6d15,  // isoDay_string
    0x6d29,  // isoHour_string
    0x6d3d,  // isoMicrosecond_string
    0x6d59,  // isoMillisecond_string
    0x6d75,  // isoMinute_string
    0x6d8d,  // isoMonth_string
    0x6da1,  // isoNanosecond_string
    0x6dbd,  // isoSecond_string
    0x6dd5,  // isoYear_string
    0x6de9,  // jsMemoryEstimate_string
    0x6e05,  // jsMemoryRange_string
    0x6e21,  // keys_string
    0x6e31,  // largestUnit_string
    0x6e49,  // lastIndex_string
    0x6e61,  // length_string
    0x6e75,  // let_string
    0x6e85,  // line_string
    0x6e95,  // linear_string
    0x6ea9,  // LinkError_string
    0x6ec1,  // long_string
    0x6ed1,  // Map_string
    0x6ee1,  // MapIterator_string
    0x6ef9,  // max_byte_length_string
    0x6f15,  // medium_string
    0x6f29,  // mergeFields_string
    0x6f41,  // message_string
    0x6f55,  // meta_string
    0x6f65,  // minus_Infinity_string
    0x6f7d,  // microsecond_string
    0x6f95,  // microseconds_string
    0x6fad,  // millisecond_string
    0x6fc5,  // milliseconds_string
    0x6fdd,  // minute_string
    0x6ff1,  // minutes_string
    0x7005,  // Module_string
    0x7019,  // month_string
    0x702d,  // monthDayFromFields_string
    0x704d,  // months_string
    0x7061,  // monthsInYear_string
    0x7079,  // monthCode_string
    0x7091,  // multiline_string
    0x70a9,  // name_string
    0x70b9,  // NaN_string
    0x70c9,  // nanosecond_string
    0x70e1,  // nanoseconds_string
    0x70f9,  // narrow_string
    0x710d,  // native_string
    0x6731,  // new_target_string
    0x7121,  // NFC_string
    0x7131,  // NFD_string
    0x7141,  // NFKC_string
    0x7151,  // NFKD_string
    0x7161,  // not_equal_string
    0x7179,  // null_string
    0x7189,  // null_to_string
    0x71a5,  // Number_string
    0x71b9,  // number_string
    0x71cd,  // number_to_string
    0x71e9,  // Object_string
    0x71fd,  // object_string
    0x7211,  // object_to_string
    0x722d,  // of_string
    0x723d,  // offset_string
    0x7251,  // offsetNanoseconds_string
    0x7271,  // ok_string
    0x474d,  // one_string
    0x7281,  // other_string
    0x7295,  // overflow_string
    0x72a9,  // ownKeys_string
    0x72bd,  // percent_string
    0x72d1,  // plainDate_string
    0x72e9,  // plainTime_string
    0x7301,  // position_string
    0x7315,  // preventExtensions_string
    0x7335,  // private_constructor_string
    0x734d,  // Promise_string
    0x7361,  // proto_string
    0x7379,  // prototype_string
    0x7391,  // proxy_string
    0x73a5,  // Proxy_string
    0x73b9,  // query_colon_string
    0x73c9,  // RangeError_string
    0x73e1,  // raw_json_string
    0x73f5,  // raw_string
    0x7405,  // ReferenceError_string
    0x7421,  // ReflectGet_string
    0x7439,  // ReflectHas_string
    0x7451,  // RegExp_string
    0x7465,  // regexp_to_string
    0x7481,  // reject_string
    0x7495,  // relativeTo_string
    0x74ad,  // resizable_string
    0x74c5,  // ResizableArrayBuffer_string
    0x74e5,  // return_string
    0x74f9,  // revoke_string
    0x750d,  // roundingIncrement_string
    0x752d,  // RuntimeError_string
    0x7545,  // WebAssemblyException_string
    0x7569,  // Script_string
    0x757d,  // script_string
    0x7591,  // second_string
    0x75a5,  // seconds_string
    0x75b9,  // short_string
    0x75cd,  // Set_string
    0x75dd,  // sentence_string
    0x75f1,  // set_space_string
    0x7601,  // set_string
    0x7611,  // SetIterator_string
    0x7629,  // setPrototypeOf_string
    0x7645,  // ShadowRealm_string
    0x765d,  // SharedArray_string
    0x7675,  // SharedArrayBuffer_string
    0x7695,  // SharedStruct_string
    0x76ad,  // sign_string
    0x76bd,  // smallestUnit_string
    0x76d5,  // source_string
    0x76e9,  // sourceText_string
    0x7701,  // stack_string
    0x7715,  // stackTraceLimit_string
    0x7731,  // sticky_string
    0x7745,  // String_string
    0x7759,  // string_string
    0x776d,  // string_to_string
    0x7789,  // Symbol_iterator_string
    0x77a5,  // symbol_species_string
    0x77c1,  // Symbol_species_string
    0x77dd,  // Symbol_string
    0x77f1,  // symbol_string
    0x7805,  // SyntaxError_string
    0x781d,  // target_string
    0x7831,  // this_function_string
    0x784d,  // this_string
    0x785d,  // throw_string
    0x7871,  // timed_out_string
    0x7889,  // timeZone_string
    0x789d,  // toJSON_string
    0x78b1,  // toString_string
    0x78c5,  // true_string
    0x78d5,  // total_string
    0x78e9,  // TypeError_string
    0x7901,  // Uint16Array_string
    0x7919,  // Uint32Array_string
    0x7931,  // Uint8Array_string
    0x7949,  // Uint8ClampedArray_string
    0x7969,  // undefined_string
    0x7981,  // undefined_to_string
    0x79a1,  // unicode_string
    0x79b5,  // unicodeSets_string
    0x79cd,  // unit_string
    0x79dd,  // URIError_string
    0x79f1,  // UTC_string
    0x7a01,  // value_string
    0x7a15,  // valueOf_string
    0x7a29,  // WeakMap_string
    0x7a3d,  // WeakRef_string
    0x7a51,  // WeakSet_string
    0x7a65,  // week_string
    0x7a75,  // weeks_string
    0x7a89,  // weekOfYear_string
    0x7aa1,  // word_string
    0x7ab1,  // writable_string
    0x7ac5,  // yearMonthFromFields_string
    0x7ae5,  // year_string
    0x7af5,  // years_string
    0x473d,  // zero_string
    0x7cd9,  // array_buffer_wasm_memory_symbol
    0x7ce9,  // call_site_info_symbol
    0x7cf9,  // console_context_id_symbol
    0x7d09,  // console_context_name_symbol
    0x7d19,  // class_fields_symbol
    0x7d29,  // class_positions_symbol
    0x7d39,  // elements_transition_symbol
    0x7d49,  // error_end_pos_symbol
    0x7d59,  // error_script_symbol
    0x7d69,  // error_stack_symbol
    0x7d79,  // error_start_pos_symbol
    0x7d89,  // frozen_symbol
    0x7d99,  // interpreter_trampoline_symbol
    0x7da9,  // mega_dom_symbol
    0x7db9,  // megamorphic_symbol
    0x7dc9,  // native_context_index_symbol
    0x7dd9,  // nonextensible_symbol
    0x7de9,  // not_mapped_symbol
    0x7df9,  // promise_debug_marker_symbol
    0x7e09,  // promise_debug_message_symbol
    0x7e19,  // promise_forwarding_handler_symbol
    0x7e29,  // promise_handled_by_symbol
    0x7e39,  // promise_awaited_by_symbol
    0x7e49,  // regexp_result_names_symbol
    0x7e59,  // regexp_result_regexp_input_symbol
    0x7e69,  // regexp_result_regexp_last_index_symbol
    0x7e79,  // sealed_symbol
    0x7e89,  // strict_function_transition_symbol
    0x7e99,  // template_literal_function_literal_id_symbol
    0x7ea9,  // template_literal_slot_id_symbol
    0x7eb9,  // wasm_exception_tag_symbol
    0x7ec9,  // wasm_exception_values_symbol
    0x7ed9,  // wasm_uncatchable_symbol
    0x7ee9,  // wasm_wrapped_object_symbol
    0x7ef9,  // wasm_debug_proxy_cache_symbol
    0x7f09,  // wasm_debug_proxy_names_symbol
    0x7f19,  // uninitialized_symbol
    0x7f29,  // async_iterator_symbol
    0x7f59,  // intl_fallback_symbol
    0x7f91,  // match_all_symbol
    0x7fbd,  // match_symbol
    0x7fe5,  // replace_symbol
    0x8011,  // search_symbol
    0x803d,  // split_symbol
    0x8065,  // to_primitive_symbol
    0x8095,  // unscopables_symbol
    0x80c5,  // has_instance_symbol
    0x80f5,  // to_string_tag_symbol
    0x2319,  // promise_fulfill_reaction_job_task_map
    0x2341,  // promise_reject_reaction_job_task_map
    0x2369,  // callable_task_map
    0x2391,  // callback_task_map
    0x23b9,  // promise_resolve_thenable_job_task_map
    0x23e1,  // function_template_info_map
    0x2409,  // object_template_info_map
    0x2431,  // access_check_info_map
    0x2459,  // accessor_pair_map
    0x2481,  // aliased_arguments_entry_map
    0x24a9,  // allocation_memento_map
    0x24d1,  // array_boilerplate_description_map
    0x24f9,  // asm_wasm_data_map
    0x2521,  // async_generator_request_map
    0x2549,  // break_point_map
    0x2571,  // break_point_info_map
    0x2599,  // call_site_info_map
    0x25c1,  // class_positions_map
    0x25e9,  // debug_info_map
    0x2611,  // enum_cache_map
    0x2639,  // error_stack_data_map
    0x2661,  // function_template_rare_data_map
    0x2689,  // interceptor_info_map
    0x26b1,  // interpreter_data_map
    0x26d9,  // module_request_map
    0x2701,  // promise_capability_map
    0x2729,  // promise_on_stack_map
    0x2751,  // promise_reaction_map
    0x2779,  // property_descriptor_object_map
    0x27a1,  // prototype_info_map
    0x27c9,  // regexp_boilerplate_description_map
    0x27f1,  // script_map
    0x2819,  // script_or_module_map
    0x2841,  // module_info_entry_map
    0x2869,  // stack_frame_info_map
    0x2891,  // template_object_description_map
    0x28b9,  // tuple2_map
    0x28e1,  // wasm_exception_tag_map
    0x2909,  // wasm_indirect_function_table_map
    0x370d,  // sloppy_arguments_elements_map
    0x2209,  // descriptor_array_map
    0x3735,  // strong_descriptor_array_map
    0x32fd,  // uncompiled_data_without_preparse_data_map
    0x3325,  // uncompiled_data_with_preparse_data_map
    0x334d,  // uncompiled_data_without_preparse_data_with_job_map
    0x3375,  // uncompiled_data_with_preparse_data_and_job_map
    0x339d,  // on_heap_basic_block_profiler_data_map
    0x33c5,  // turbofan_bitset_type_map
    0x33ed,  // turbofan_union_type_map
    0x3415,  // turbofan_range_type_map
    0x343d,  // turbofan_heap_constant_type_map
    0x3465,  // turbofan_other_number_constant_type_map
    0x348d,  // turboshaft_word32type_map
    0x34b5,  // turboshaft_word32range_type_map
    0x375d,  // turboshaft_word32set_type_map
    0x34dd,  // turboshaft_word64type_map
    0x3505,  // turboshaft_word64range_type_map
    0x3785,  // turboshaft_word64set_type_map
    0x352d,  // turboshaft_float64type_map
    0x3555,  // turboshaft_float64range_type_map
    0x37ad,  // turboshaft_float64set_type_map
    0x357d,  // internal_class_map
    0x35a5,  // smi_pair_map
    0x35cd,  // smi_box_map
    0x35f5,  // exported_sub_class_base_map
    0x361d,  // exported_sub_class_map
    0x3645,  // abstract_internal_class_subclass1_map
    0x366d,  // abstract_internal_class_subclass2_map
    0x37d5,  // internal_class_with_smi_elements_map
    0x37fd,  // internal_class_with_struct_elements_map
    0x3695,  // exported_sub_class2_map
    0x36bd,  // sort_state_map
    0x36e5,  // wasm_string_view_iter_map
    0x2931,  // allocation_site_map
    0x2959,  // allocation_site_without_weaknext_map
    0x814d,  // constructor_string
    0x8165,  // next_string
    0x8175,  // resolve_string
    0x8189,  // then_string
    0x8199,  // iterator_symbol
    0x81a9,  // species_symbol
    0x81b9,  // is_concat_spreadable_symbol
    0x2981,  // load_handler1_map
    0x29a9,  // load_handler2_map
    0x29d1,  // load_handler3_map
    0x29f9,  // store_handler0_map
    0x2a21,  // store_handler1_map
    0x2a49,  // store_handler2_map
    0x2a71,  // store_handler3_map
};

}  // namespace internal
}  // namespace v8
#endif  // V8_STATIC_ROOTS_BOOL
#endif  // V8_ROOTS_STATIC_ROOTS_H_
